summaryrefslogtreecommitdiff
path: root/eclass/opam.eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2022-07-27 03:00:39 +0100
committerV3n3RiX <venerix@koprulu.sector>2022-07-27 03:00:39 +0100
commitfe618c8b8c934661d2297b2aeb0615a48e787691 (patch)
tree24a8209687e0ff34205acd703b6b80e7c6897f81 /eclass/opam.eclass
parent1d4cc2fdaa7a04ed1fe39b6cf1d892bd83bd8030 (diff)
gentoo auto-resync : 27:07:2022 - 03:00:38
Diffstat (limited to 'eclass/opam.eclass')
-rw-r--r--eclass/opam.eclass35
1 files changed, 14 insertions, 21 deletions
diff --git a/eclass/opam.eclass b/eclass/opam.eclass
index dee40a4e9f96..197c3256f015 100644
--- a/eclass/opam.eclass
+++ b/eclass/opam.eclass
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: opam.eclass
@@ -7,15 +7,15 @@
# ML <ml@gentoo.org>
# @AUTHOR:
# Alexis Ballier <aballier@gentoo.org>
-# @SUPPORTED_EAPIS: 5 6 7
+# @SUPPORTED_EAPIS: 7 8
# @BLURB: Provides functions for installing opam packages.
# @DESCRIPTION:
# Provides dependencies on opam and ocaml, opam-install and a default
# src_install for opam-based packages.
-case ${EAPI:-0} in
- 5|6|7) ;;
- *) die "${ECLASS}: EAPI ${EAPI} not supported" ;;
+case ${EAPI} in
+ 7|8) ;;
+ *) die "${ECLASS}: EAPI ${EAPI:-0} not supported" ;;
esac
# Do not complain about CFLAGS etc since ml projects do not use them.
@@ -28,15 +28,8 @@ QA_FLAGS_IGNORED='.*'
: ${OPAM_INSTALLER_DEP:="dev-ml/opam-installer"}
RDEPEND=">=dev-lang/ocaml-4:="
-case ${EAPI:-0} in
- 5|6)
- DEPEND="${RDEPEND} ${OPAM_INSTALLER_DEP}"
- ;;
- *)
- BDEPEND="${OPAM_INSTALLER_DEP} dev-lang/ocaml"
- DEPEND="${RDEPEND}"
- ;;
-esac
+BDEPEND="${OPAM_INSTALLER_DEP} dev-lang/ocaml"
+DEPEND="${RDEPEND}"
# @ECLASS_VARIABLE: OPAM_INSTALLER
# @DESCRIPTION:
@@ -52,10 +45,10 @@ opam-install() {
local pkg
for pkg ; do
${OPAM_INSTALLER} -i \
- --prefix="${ED%/}/usr" \
- --libdir="${D%/}/$(ocamlc -where)" \
- --docdir="${ED%/}/usr/share/doc/${PF}" \
- --mandir="${ED%/}/usr/share/man" \
+ --prefix="${ED}/usr" \
+ --libdir="${D}/$(ocamlc -where)" \
+ --docdir="${ED}/usr/share/doc/${PF}" \
+ --mandir="${ED}/usr/share/man" \
"${pkg}.install" || die
done
}
@@ -64,9 +57,9 @@ opam_src_install() {
local pkg="${1:-${PN}}"
opam-install "${pkg}"
# Handle opam putting doc in a subdir
- if [ -d "${ED%/}/usr/share/doc/${PF}/${pkg}" ] ; then
- mv "${ED%/}/usr/share/doc/${PF}/${pkg}/"* "${ED%/}/usr/share/doc/${PF}/" || die
- rmdir "${ED%/}/usr/share/doc/${PF}/${pkg}" || die
+ if [[ -d ${ED}/usr/share/doc/${PF}/${pkg} ]] ; then
+ mv "${ED}/usr/share/doc/${PF}/${pkg}/"* "${ED}/usr/share/doc/${PF}/" || die
+ rmdir "${ED}/usr/share/doc/${PF}/${pkg}" || die
fi
}